<?php

add_action('wp_ajax_loadDistributors','loadDistributors');
add_action('wp_ajax_nopriv_loadDistributors', 'loadDistributors' );
function loadDistributors() {
	$distributors = get_posts(array('post_type'=>'distributor','posts_per_page'=>-1));
	$out = array();
	foreach ($distributors as $distributor) {
		$distributor = new PostType($distributor);
		$geolocation = $distributor->geolocation;
		if ($geolocation) {
			$website = $distributor->website;
			if ($website) {
				$website = '<a href="'.$website.'" target="_blank">'.$website.'</a>';
			}
			$icons = '';
			foreach ($distributor->services as $service) {
				$icons .= '<img src="'.get_template_directory_uri().'/img/icon-'.strtolower($service).'.png" />';
			}
			
			$countries = $distributor->country;
			if (!is_array($countries)) {
				$countries = array($countries);
			}
			
			if ($distributor->post_parent > 0) {
				$parent = new PostType($distributor->post_parent); 
				$parent = __('Clients of','gulfoil').' '.$parent->post_title;
			}

			$out[] = (object) array(
				'title' => $distributor->post_title,
				'services' => $distributor->services,
				'phone' => $distributor->phone,
				'phonelink' => '<a href="tel:'.$distributor->phone.'">'.$distributor->phone.'</a>',
				'email' => $distributor->email,
				'emaillink' => '<a href="mailto:'.$distributor->email.'">'.$distributor->email.'</a>',
				'website' => $website,
				'address' => $distributor->address, 
				'country' => $countries[0], 
				'countries' => $countries, 
				'geolocation' => $geolocation,
				'continent' => $distributor->continent,
				'icons' => $icons,
				'openingtimes' => $distributor->opening_times,
				'servicesamenities' => $distributor->services_amenities,
				'fuels' => $distributor->fuels,
				'subtitle' => $distributor->subtitle,
				'parent' => $parent,
			);

		}
	}
	
	print json_encode($out);
	
	die();
}
