<?php
define('SCRIPTVERSION',date('YmdH'));

function site_scripts() {
	global $wp_styles; // Call global $wp_styles variable to add conditional wrapper around ie stylesheet the WordPress way
	
	$foundation = 6;
	$textdirection = 'ltr';
//	$textdirection = 'rtl';
	switch ($foundation) {
		case 6:
		    wp_enqueue_script( 'foundation-js', get_template_directory_uri() . '/vendor/foundation/'.$foundation.'/'.$textdirection.'/js/vendor/foundation.js', array( 'jquery' ), '6.0', true );
		    wp_enqueue_script( 'foundation-app-js', get_template_directory_uri() . '/vendor/foundation/'.$foundation.'/'.$textdirection.'/js/app.js', array( 'jquery' ), '6.0', true );
		    wp_enqueue_style( 'foundation-css', get_template_directory_uri() . '/vendor/foundation/'.$foundation.'/'.$textdirection.'/css/foundation.css', array(), SCRIPTVERSION, 'all' );
			break;
	}
	
    // Load What-Input files in footer
    wp_enqueue_script( 'what-input', get_template_directory_uri() . '/vendor/what-input/what-input.min.js', array(), SCRIPTVERSION, true );
    
    // Adding scripts file in the footer
    wp_enqueue_script( 'site-js', get_template_directory_uri() . '/js/scripts.js', array( 'jquery' ), SCRIPTVERSION, true );
    
    // Adding scripts file in the footer
    wp_enqueue_script( 'contacts-js', get_template_directory_uri() . '/js/contacts.js', array( 'jquery' ), SCRIPTVERSION, true );
    wp_enqueue_script( 'distributors-js', get_template_directory_uri() . '/js/distributors.js', array( 'jquery' ), SCRIPTVERSION, true );
    
     // Register Motion-UI
    wp_enqueue_style( 'motion-ui-css', get_template_directory_uri() . '/vendor/motion-ui/dist/motion-ui.min.css', array(), SCRIPTVERSION, 'all' );
	
    // Register main stylesheet
    wp_enqueue_style( 'site-css', get_template_directory_uri() . '/css/style.css', array(), SCRIPTVERSION, 'all' );
    wp_enqueue_style( 'site-colour-css', get_template_directory_uri() . '/css/style-'.get_theme_mod('theme_style','white').'.css', array('site-css'), SCRIPTVERSION, 'all' );

	
	
	// Add right-to-left support
	if ($textdirection == 'rtl') {
		wp_enqueue_style( 'gulf-rtl-css', get_template_directory_uri() . '/css/rtl.css', array(), SCRIPTVERSION, 'all' );
	}
	
	// Add Slick
    wp_enqueue_style( 'slick-css', get_template_directory_uri() . '/vendor/slick/slick.css', array(), SCRIPTVERSION, 'all' );
    wp_enqueue_style( 'slick-theme-css', get_template_directory_uri() . '/vendor/slick/slick-theme.css', array(), SCRIPTVERSION, 'all' );
    wp_enqueue_script( 'slick-js', get_template_directory_uri() . '/vendor/slick/slick.js', array( 'jquery' ), SCRIPTVERSION, true );

	// Add Flag Icon
    wp_enqueue_style( 'flag-icon-css', get_template_directory_uri() . '/vendor/flag-icon-css/css/flag-icon.css', array(), SCRIPTVERSION, 'all' );
	
	
    // Comment reply script for threaded comments
    if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1)) {
      wp_enqueue_script( 'comment-reply' );
    }
	
	// Add fancyapps lightbox
	wp_enqueue_style('fancyapps', get_template_directory_uri().'/vendor/fancyapps/jquery.fancybox.css',array(), 3.0);
	wp_enqueue_script('fancyapps', get_template_directory_uri().'/vendor/fancyapps/jquery.fancybox.js',array('jquery'), 3.0);

	
	// Add Fontawesome
//	wp_enqueue_script('fontawesome', 'https://use.fontawesome.com/d04d20523d.js', array('jquery'), SCRIPTVERSION, true );
	wp_enqueue_style('fontawesome', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css');
	
	
	// Add Parallax
	wp_enqueue_script('parallax', get_template_directory_uri().'/vendor/parallax.js/parallax.min.js',array('jquery'), "1.4.2");

	
	// APIS
	// Maps
	switch (get_theme_mod('maps_api','google')) {
		case 'google':
			wp_enqueue_script('googlemap', 'https://maps.googleapis.com/maps/api/js?key='.GOOGLE_API_KEY, array('jquery'), SCRIPTVERSION, true);
			break;
		case 'googlecn':
			wp_enqueue_script('googlemap', 'https://maps.googleapis.cn/maps/api/js?key='.GOOGLE_API_KEY, array('jquery'), SCRIPTVERSION, true);
			break;
	}
	
	
	
	wp_enqueue_script('markerclusterer', get_template_directory_uri().'/js/markerclusterer.js', array('googlemap'),	SCRIPTVERSION, true );
	wp_enqueue_script('infobubble', get_template_directory_uri().'/js/infobubble.js', array('googlemap'), SCRIPTVERSION, true );
	
	
	
	// AJAX
	wp_localize_script( 'site-js', 'Ajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ), 'template_url' => get_template_directory_uri(), 'style' => get_theme_mod('theme_style','blue') ) );
	
}
add_action('wp_enqueue_scripts', 'site_scripts', 999);



function admin_site_scripts() {
	// Add Admin Css
	wp_enqueue_style( 'admin-css', get_template_directory_uri() . '/css/admin.css', array(), SCRIPTVERSION, 'all' );

    // Adding admin js
    wp_enqueue_script( 'admin-js', get_template_directory_uri() . '/js/admin.js', array( 'jquery' ), SCRIPTVERSION, true );
	
	
	// Add Google Maps
//	wp_enqueue_script('googlemap', 'http://maps.googleapis.com/maps/api/js?key='.GOOGLE_API_KEY, array('jquery'), SCRIPTVERSION, true);

	
	// Add jQueryUI
	wp_enqueue_script('jquery-ui-draggable');
	
}
add_action('admin_enqueue_scripts', 'admin_site_scripts', 999);
