<?php
// Register menus
register_nav_menus(
	array(
		'sub-nav' => __( 'The Sub Menu', 'gulfoil' ),   // Sub menu nav in header
		'main-nav' => __( 'The Main Menu', 'gulfoil' ),   // Main nav in header
		'footer-links' => __( 'Footer Links', 'gulfoil' ) // Secondary nav in footer
	)
);

// The Top Menu
function gulf_top_nav() {
	 wp_nav_menu(array(
        'container' => false,                           // Remove nav container
        'menu_class' => 'vertical medium-horizontal menu main-menu',       // Adding custom nav class
        'items_wrap' => '<div id="%1$s" class="%2$s" data-responsive-menu="accordion medium-dropdown"><ul class="menu columns medium-5">%3$s</ul></div>',
        'theme_location' => 'main-nav',        			// Where it's located in the theme
        'depth' => 2,                                   // Limit the depth of the nav
        'fallback_cb' => false,                         // Fallback function (see below)
        'walker' => new Topbar_Menu_Walker(),
    ));
} 


class Topbar_Menu_Walker extends Walker_Nav_Menu {
	
	var $_count = 0;
	var $_total = 0;
	var $_done = false;
	
	function walk( $elements, $max_depth ) {
		$parent_field = $this->db_fields['parent'];
		foreach ( $elements as $e) {
			if ( empty( $e->$parent_field ) ) {
				$this->_total++;
			}
		}
		$args = func_get_args();
		return call_user_func_array('parent::walk',$args);
	}
	
    function start_lvl(&$output, $depth = 0, $args = Array() ) {
        $indent = str_repeat("\t", $depth);
        $output .= "\n$indent<ul class=\"menu\">\n";
    }
    function end_lvl(&$output, $depth = 0, $args = Array() ) {
        parent::end_lvl($output,$depth,$args);
    }	
	
	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		if ($depth == 0 && !$this->_done) {
			$this->_count++;
			if ($this->_count > ceil($this->_total/2)) {
				$output .= '</ul><ul class="menu columns medium-5">';
				$this->_done = true;
			}
		}
		parent::start_el( $output, $item, $depth, $args, $id );
	}
}


function gulf_sub_nav() {
	 wp_nav_menu(array(
        'container' => false,                           // Remove nav container
        'menu_class' => 'horizontal menu',       // Adding custom nav class
        'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
        'theme_location' => 'sub-nav',        			// Where it's located in the theme
        'depth' => 5,                                    // Limit the depth of the nav
		'fallback_cb' => false,                         // Fallback function (see below)
    ));
}

// The Off Canvas Menu
function gulf_off_canvas_nav() {
	 wp_nav_menu(array(
        'container' => false,                           // Remove nav container
        'menu_class' => 'vertical menu',       // Adding custom nav class
        'items_wrap' => '<ul id="%1$s" class="%2$s" data-accordion-menu>%3$s</ul>',
        'theme_location' => 'main-nav',        			// Where it's located in the theme
        'depth' => 5,                                   // Limit the depth of the nav
//        'fallback_cb' => false,                         // Fallback function (see below)
        'walker' => new Off_Canvas_Menu_Walker()
    ));
} 

class Off_Canvas_Menu_Walker extends Walker_Nav_Menu {
    function start_lvl(&$output, $depth = 0, $args = Array() ) {
        $indent = str_repeat("\t", $depth);
        $output .= "\n$indent<ul class=\"vertical menu\">\n";
    }
}

// The Footer Menu
function gulf_footer_links() {
    wp_nav_menu(array(
    	'container' => 'false',                         // Remove nav container
    	'menu' => __( 'Footer Links', 'gulfoil' ),   	// Nav name
    	'menu_class' => 'menu',      					// Adding custom nav class
    	'theme_location' => 'footer-links',             // Where it's located in the theme
        'depth' => 0,                                   // Limit the depth of the nav
    	'fallback_cb' => ''  							// Fallback function
	));
} /* End Footer Menu */

// Header Fallback Menu
function gulf_main_nav_fallback() {
	wp_page_menu( array(
		'show_home' => true,
    	'menu_class' => '',      						// Adding custom nav class
		'include'     => '',
		'exclude'     => '',
		'echo'        => true,
        'link_before' => '',                           // Before each link
        'link_after' => ''                             // After each link
	) );
}

// Footer Fallback Menu
function gulf_footer_links_fallback() {
	/* You can put a default here if you like */
}

// Add Foundation active class to menu
function required_active_nav_class( $classes, $item ) {
    if ( $item->current == 1 || $item->current_item_ancestor == true ) {
        $classes[] = 'active';
    }
    return $classes;
}
add_filter( 'nav_menu_css_class', 'required_active_nav_class', 10, 2 );

