<?php
add_action( 'widgets_init', create_function( '', 'register_widget( "TwitterFeed_Widget" );' ) );

class TwitterFeed_Widget extends WP_Widget {

	public function __construct() {
		$widget_ops = array( 'description' => __( "Shows a Twitter feed","gulfoil") );
		parent::__construct( 'twitter_feed', __('Twitter Feed',"gulfoil"), $widget_ops );
	}

	public function widget($args, $instance) {
		global $post;
		
		$twitter = get_theme_mod('twitter');
		if (empty($twitter)) {
			return;
		}

		/** This filter is documented in wp-includes/default-widgets.php */
		$instance['title'] = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );

		echo $args['before_widget'];

		if ( !empty($instance['title']) )
			echo $args['before_title'] . $instance['title'] . $args['after_title'];

		echo social_twitter($twitter);

		echo $args['after_widget'];
	}

	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		if ( ! empty( $new_instance['title'] ) ) {
			$instance['title'] = strip_tags( stripslashes($new_instance['title']) );
		}
		return $instance;
	}

	public function form( $instance ) {
		$title = isset( $instance['title'] ) ? $instance['title'] : '';

		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" />
		</p>
		<?php
		
	}
}
